1
0
mirror of https://git.savannah.gnu.org/git/guix.git synced 2026-06-12 05:54:08 +02:00

gnu: gnutls: Update to 3.8.13.

* gnu/packages/tls.scm (gnutls): Update to 3.8.13.
[source]: Remove gnutls-no-which.patch.
* gnu/packages/patches/gnutls-no-which.patch: Delete file.
* gnu/local.mk (dist_patch_DATA): Deregister it.

Merges guix/guix!7306

Change-Id: I4161600203490b2989dfddafbedebfeead1cbfea
Signed-off-by: Cayetano Santos <csantosb@inventati.org>
This commit is contained in:
Yelninei
2026-03-19 16:51:46 +00:00
committed by Cayetano Santos
parent 92121f131e
commit 5cc4e448ee
3 changed files with 2 additions and 96 deletions
-1
View File
@@ -1525,7 +1525,6 @@ dist_patch_DATA = \
%D%/packages/patches/gnumach-version.patch \
%D%/packages/patches/gnupg-default-pinentry.patch \
%D%/packages/patches/gnupg-1-build-with-gcc10.patch \
%D%/packages/patches/gnutls-no-which.patch \
%D%/packages/patches/gobject-introspection-absolute-shlib-path.patch \
%D%/packages/patches/gobject-introspection-cc.patch \
%D%/packages/patches/gobject-introspection-girepository.patch \
@@ -1,92 +0,0 @@
Upstream-status:
diff --git a/tests/pkcs11-tool.sh b/tests/pkcs11-tool.sh
index 2d650b52f..e64803fc3 100755
--- a/tests/pkcs11-tool.sh
+++ b/tests/pkcs11-tool.sh
@@ -64,7 +64,7 @@ if ! test -f "${SOFTHSM_MODULE}"; then
exit 77
fi
-if [ -z "$(which pkcs11-tool 2>/dev/null)" ]; then
+if ! command -v pkcs11-tool >/dev/null; then
echo "Need pkcs11-tool from opensc package to run this test."
exit 77
fi
diff --git a/tests/tpm2.sh b/tests/tpm2.sh
index d48364c6c..a03945da8 100755
--- a/tests/tpm2.sh
+++ b/tests/tpm2.sh
@@ -29,22 +29,22 @@ if ! test -x "${CERTTOOL}"; then
exit 77
fi
-if [ -z "$(which swtpm 2>/dev/null)" ]; then
+if ! command -v swtpm >/dev/null; then
echo "Need swtpm package to run this test."
exit 77
fi
-if [ -z "$(which ncat 2>/dev/null)" ]; then
+if ! command -v ncat >/dev/null; then
echo "Need ncat from nmap-ncat package to run this test."
exit 77
fi
-if [ -z "$(which tpm2_startup 2>/dev/null)" ]; then
+if ! command -v tpm2_startup >/dev/null; then
echo "Need tpm2_startup from tpm2-tools package to run this test."
exit 77
fi
-if [ -z "$(which base64 2>/dev/null)" ]; then
+if ! command -v base64 >/dev/null; then
echo "Need the base64 tool to run this test."
exit 77
fi
@@ -58,7 +58,7 @@ case `"$OPENSSL" version` in
;;
esac
-if [ -z "$(which tpm2tss-genkey 2>/dev/null)" ]; then
+if ! command -v tpm2tss-genkey >/dev/null; then
echo "Need tpm2tss-genkey from tpm2-tss-engine package to run this test."
exit 77
fi
diff --git a/tests/tpmtool_test.sh b/tests/tpmtool_test.sh
index a14242808..962d571f6 100755
--- a/tests/tpmtool_test.sh
+++ b/tests/tpmtool_test.sh
@@ -28,27 +28,27 @@ if [ "$(id -u)" -ne 0 ]; then
exit 77
fi
-if [ -z "$(which swtpm 2>/dev/null)" ]; then
+if ! command -v swtpm >/dev/null; then
echo "Need swtpm package to run this test."
exit 77
fi
-if [ -z "$(which tcsd 2>/dev/null)" ]; then
+if ! command -v tcsd >/dev/null; then
echo "Need tcsd (TrouSerS) package to run this test."
exit 77
fi
-if [ -z "$(which tpm_createek 2>/dev/null)" ]; then
+if ! command -v tpm_createek >/dev/null; then
echo "Need tpm_createek from tpm-tools package to run this test."
exit 77
fi
-if [ -z "$(which ncat 2>/dev/null)" ]; then
+if ! command -v ncat >/dev/null; then
echo "Need ncat from nmap-ncat package to run this test."
exit 77
fi
-if [ -z "$(which expect 2>/dev/null)" ]; then
+if ! command -v expect >/dev/null; then
echo "Need expect from expect package to run this test."
exit 77
fi
+2 -3
View File
@@ -211,7 +211,7 @@ living in the same process.")
(define-public gnutls
(package
(name "gnutls")
(version "3.8.9")
(version "3.8.13")
(source (origin
(method url-fetch)
;; Note: Releases are no longer on ftp.gnu.org since the
@@ -219,10 +219,9 @@ living in the same process.")
(uri (string-append "mirror://gnupg/gnutls/v"
(version-major+minor version)
"/gnutls-" version ".tar.xz"))
(patches (search-patches "gnutls-no-which.patch"))
(sha256
(base32
"1v9090cbajf02cw01idfbp0cgmgjn5091ff1b96hqryi0bc17qb9"))))
"0zn9m5nb3a4r9rh5ws3xaczbals7vrvy7ahl9xnl5hh9pz0qxvgz"))))
(build-system gnu-build-system)
(arguments
(list #:tests? (not (or (%current-target-system)